Subject: Re: [PATCH v2 19/25] netfs: Speed up buffered reading

From: Leon Romanovsky <[email-masked]>
Date: Sun, 29 Sep 2024 21:55:01 +0300

On Sun, Sep 29, 2024 at 02:37:44AM -0700, Eduard Zingerman wrote:
> On Sun, 2024-09-29 at 10:12 +0100, David Howells wrote:
> > Can you try the attached?  I've also put it on my branch here:
> > 
> > https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/linux-fs.git/log/?h=netfs-fixes
> 
> Used your branch:
> fc22830c5a07 ("9p: Don't revert the I/O iterator after reading")
> 
> dmesg is here:
> https://gist.github.com/eddyz87/4cd50c2cf01323641999dc386e2d41eb
> 
> Still see null-ptr-deref.

I tried it too and I can confirm that the issue is still there.

Thanks

> [...]